Bug 207440 - [RHEL4 U4] add_partition() does not initialize read-only policy field
[RHEL4 U4] add_partition() does not initialize read-only policy field
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Snook
Brian Brock
:
Depends On:
Blocks: 234547
  Show dependency treegraph
 
Reported: 2006-09-21 00:15 EDT by Issue Tracker
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 23:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2006-09-21 00:15:22 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Chris Snook 2006-09-21 00:28:42 EDT
add_partition() does not initialize a partition's read-only policy field, so it
defaults to 0, or read-write, even if the disk itself is flagged read-only.  If
a partition is detected after the call to set_disk_ro() (which sets each
partition's policy field), the partition can be writable, even though the disk
itself is not.

This is known to happen with s390 DASD disks, but could potentially impact other
disk drivers as well.

A simple patch to make the partition inherit the disk's policy field was
accepted upstream and is in the 2.6.18 kernel:

http://marc.theaimsgroup.com/?l=linux-kernel&m=115192926219558&w=2
Comment 3 Jason Baron 2006-10-12 12:21:39 EDT
committed in stream U5 build 42.18. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 RHEL Product and Program Management 2006-10-12 20:01:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jay Turner 2006-10-17 11:39:40 EDT
QE ack for RHEL4.5.
Comment 9 Red Hat Bugzilla 2007-05-07 23:37:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.